//***********************************************************
//	HEWμi§μ
//	»°ΤL[[title.cpp]
//***********************************************************
#include"title.h"

//***********************************************************
//ϊ»
void IniTitle(TITLE*aTitle)
{
	//^Cg`ζtOϊ»
	aTitle->bTitleDraw = true;
}

//***********************************************************
//XV
void UpdateTitle(TITLE*aTitle, HOME *aHome, MAIN *aMain)
{
	if (INP(PK_ENTER))
	{
		if (aHome->bPkEnter == true)
		{
			//etOμ
			aMain->bGameEnd = false;
			aTitle->bTitleComp = true;
			aMain->bLoad = true;
			aMain->bPlayeTitle = false;
		}
		aHome->bPkEnter = false;
	}
	else
	{
		aHome->bPkEnter = true;
	}
}

//***********************************************************
//`ζ
void DrawTitle(TITLE*aTitle)
{
	int nCountA, nCount, nCountB, nCountC, nCountD, nCountE, nPosition;
	int AnON, BnON, CnON, DnON, EnON, FnON;

	nPosition = 0;
	AnON = 0;
	BnON = 0;
	CnON = 0;
	DnON = 0;
	EnON = 0;
	FnON = 0;

	//^Cg
	if (aTitle->bTitleDraw == true)
	{
		COLOR(H_CYAN, H_CYAN);
		//»
		if (AnON == 0)
		{
			nCountA = TitleX_Position;
			nCount = TitleY_Position;
			nPosition = nCountA;
			nCountB = 10;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 28;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 20;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 0;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 20;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 28;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
		}

		//°
		if (BnON == 0)
		{
			nCount = TitleY_Position;
			nCountE = nCount;
			nCountA = (nPosition + Interval);
			nPosition = nCountA;
			nCountA += 10;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘");
			nCount = TitleY_Position;
			nCountA = nCountA + 19;
			nCountB = 17;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + (nCountB - 8), nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + (nCountB - 8), nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + (nCountB - 8), nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + (nCountB - 8), nCount);
			printf("‘‘‘‘");
			nCountB = 33;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘");
		}

		//Τ
		if (CnON == 0)
		{

			nCountA = (nPosition + Interval);
			nPosition = 0;
			nCountD = 0;
			nCountC = 0;
			nCount = TitleY_Position;
			nCountE = nCount;
			nCountB = 35;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 43;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 35;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 20;
			nCount++;
			nCountC = nCount;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 12;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 43;
			nCount++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			nCountD = nCountC;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘");
			nCountB = 27;
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountC++;
			LOCATE(nCountA + nCountB, nCountC);
			printf("‘‘‘‘‘‘‘‘");
			nCountB = 59;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountD++;
			LOCATE(nCountA + nCountB, nCountD);
			printf("‘‘‘‘");
			nCountB = 51;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘‘‘‘‘");
			nCountE++;
			LOCATE(nCountA + nCountB, nCountE);
			printf("‘‘‘‘‘‘‘‘");
		}

		//L
		if (DnON == 0)
		{
			nCount = (int(TitleY_Position * 4));
			nCountA = TitleX_Position;
			nPosition = nCountA;
			nCountB = 36;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 20;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 36;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 20;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 44;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
		}

		//
		if (EnON == 0)
		{
			nCount = (int(TitleY_Position * 4));
			nCountA = (nPosition + Interval);
			nCountA += 15;
			nPosition = nCountA;
			nCountB = 8;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 0;
			nCount += 4;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCountB = 40;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 33;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘");
			nCountB = 17;
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘");
		}

		//[
		if (FnON == 0)
		{
			nCount = (int(TitleY_Position * 4) + (int(int(TitleY_Position * 3) / 2)));
			nCountA = (nPosition + Interval);
			nCountA += 5;
			nPosition = 0;
			nCountB = 0;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
			nCount++;
			LOCATE(nCountA + nCountB, nCount);
			printf("‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘‘");
		}
		aTitle->bTitleDraw = false;

		nCount = 75;
		nCountA = 120;
		COLOR(H_CYAN, WHITE);
		LOCATE(nCountA, nCount);
		printf("@‘‘‘@@‘‘‘‘‘@@‘‘‘@@‘‘‘‘@@‘‘‘‘‘");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("‘@@@‘@@@‘@@@‘@@@‘@‘@@@‘@@@‘@@");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("‘@@@@@@@‘@@@‘@@@‘@‘@@@‘@@@‘@@");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("@‘‘‘@@@@‘@@@‘@@@‘@‘‘‘‘@@@@‘@@");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("@@@@‘@@@‘@@@‘‘‘‘‘@‘@@@‘@@@‘@@");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("‘@@@‘@@@‘@@@‘@@@‘@‘@@@‘@@@‘@@");
		nCount++;
		LOCATE(nCountA, nCount);
		printf("@‘‘‘@@@@‘@@@‘@@@‘@‘@@@‘@@@‘@@");
	}
}